## boot-floppies 1.2.1

=== Makefile ===
all build:
	(cd utilities;make)

stamp-build: build

clean: distclean

install: stamp-build
	mkdir -m 755 -p $(prefix)/usr/src/boot-floppies
	tar cf - `echo * | sed 's:debian::'` \
	 | (cd $(prefix)/usr/src/boot-floppies;tar xf -)

distclean:
	(cd utilities;make distclean)

=== utilities/Makefile ===
CC=gcc
CFLAGS=-O2
LDFLAGS=-s

SPLIT_OBJECTS= floppy_split.o

all: floppy_split
	(cd busybox;make)

clean:
	- rm -f *.o *.bak
	(cd busybox;make clean)

distclean: clean
	- rm -f floppy_split *.o *.bak
	(cd busybox; make distclean)

floppy_split: $(SPLIT_OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $(SPLIT_OBJECTS)

$(SPLIT_OBJECTS): floppy_split.h

=== utilities/busybox/Makefile ===
CFLAGS= -O2 -fomit-frame-pointer -fno-builtin
LDFLAGS= -s
STRIP= strip --remove-section=.note --remove-section=.comment busybox
# CFLAGS= -g

LIBRARIES=

OBJECTS= main.o \
	block_device.o cat.o chgrp.o chmod.o chown.o clear.o cp.o \
	descend.o df.o dyadic.o false.o findmount.o \
	floppy_merge.o halt.o init.o kill.o ln.o mkdir.o mknod.o mkswap.o \
	monadic.o math.o fdflush.o length.o date.o \
	more.o mount.o mt.o mv.o postprocess.o pwd.o reboot.o \
	rm.o rmdir.o sleep.o swapoff.o swapon.o sync.o \
	touch.o true.o tryopen.o umount.o update.o utility.o \
	tarfn.o star.o tiny-ls.o

all: busybox $(LINKS)

busybox: $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o busybox $(OBJECTS) $(LIBRARIES)
	$(STRIP)

clean:
	- rm -f $(OBJECTS) busybox

distclean: clean
	- rm -f busybox

=== debian/changelog ===
boot-floppies (1.2.1) unstable; urgency=low

  * Ready for 1.2 release.

 -- Bruce Perens <Bruce@Pixar.com>  Tue, 3 Dec 1996 21:50:33 -0800

boot-floppies (1.2.0-3) unstable; urgency=low

  * Ready for beta test of Debian 1.2 .

 -- Bruce Perens <Bruce@Pixar.com>  Thu, 28 Nov 1996 00:45:11 -0800

boot-floppies (1.2.0-2) unstable; urgency=low

  * This one actually builds a bootable boot/root floppy.
  * There's still one too many floppies in the base archive, and
    there's no modules floppy yet.

 -- Bruce Perens <Bruce@Pixar.com>  Wed, 20 Nov 1996 21:04:33 -0800

boot-floppies (1.2.0-1) unstable; urgency=low

  * 
  * Still not finished, but I'm uploading it so that everyone's on the
    same page. The base system is too big, all disks build but nothing
    is tested.
  * Update to Debian 1.2 packages.
  * Make multiple architectures work.

 -- Bruce Perens <Bruce@Pixar.com>  Tue, 22 Oct 1996 20:11:17 +0700

boot-floppies (1.1.2-0) unstable; urgency=low

  * Updated to Standards-Version 2.1.1.0 .

 -- Bruce Perens <Bruce@Pixar.com>  Sun, 13 Oct 1996 20:11:17 +0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: boot-floppies
Section: devel
Priority: optional
Maintainer: Bruce Perens <Bruce@Pixar.com>
Standards-Version: 2.1.1.0

Package: boot-floppies
Architecture: any
Depends: libc5-pic, ncurses3.0-pic, mkrboot
Description: Scripts to create the Debian installation floppy set.
 This package allows you to create a Debian installation system on floppy
 disk or other media, for bootstrapping Debian onto a new system. Most users
 will simply download the disk images to do this, and this package will
 generally only be used by advanced Debian maintainers.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=boot-floppies

build:
	$(checkdir)
	$(MAKE) CFLAGS=-O2 LDFLAGS= prefix=debian/tmp
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i distclean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	$(MAKE) CFLAGS=-O2 LDFLAGS=-s install prefix=debian/tmp
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	dpkg-gencontrol > debian/tmp/DEBIAN/control
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f make_disks.sh -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## boot-floppies 1.2.21

=== Makefile ===
architecture=$(shell dpkg --print-architecture)

all::	build

# Edit the variables below this line

# Customize this to refer to the path of the Debian archive.
ftp_archive=/home/ftp/pub/debian
archive=$(ftp_archive)/stable/binary-$(architecture)
incoming=$(ftp_archive)/Incoming
tools_dir=$(ftp_archive)/tools
kernel_dir=$(ftp_archive)/project/other_kernels

kernel=$(archive)/base/kernel-image-2.0.29_2.0.29-7.deb
kerneltecra=$(kernel_dir)/kernel-image-2.0.29_2.0.29-7_tecrai386.deb
kernel_version=$(shell echo $(kernel) | sed -e 's/.*kernel-image-//' | \
			sed -e 's/_.*//')
pcmcia_package=$(shell ls $(archive)/admin/pcmcia-modules-$(kernel_version)_*.deb | tail -1)
pcmcia_package=/home/sr1/debian/Incoming/pcmcia-modules-2.0.29-7_2.9.6-2_i386.deb

packages_with_modules=$(pcmcia_package)

# disable this if you already have these files in the FTP mirror
localfiles: updates #$(archive)/base/modconf_0.2.12.deb

# dependency for the files that have to be copied
updates::
	mkdir -p updates
	cp -av $(ftp_archive)/bo-updates/*.deb \
		$(incoming)/pcmcia-modules-2.0.29-7_2.9.6-1_i386.deb \
		$(incoming)/pcmcia-modules-2.0.30-7_2.9.6-1_i386.deb \
		$(incoming)/REJECT/sysklogd_1.3-16_i386.deb \
		updates/

# don't edit below this line (but look for XXX)

debianversion=1.3

base_archive=base$(shell echo ${debianversion} | sed -e 's/\./_/').tgz

build::	localfiles
	$(MAKE) all_subdirs
	find . -name \*~ | xargs rm -f
	$(MAKE) resc1440.bin resc1200.bin \
		drv1440.bin drv1200.bin ${base_archive}
	$(MAKE) lmemroot.bin
	$(MAKE) tecra

all_subdirs:
	(cd utilities;make)
	(cd documentation;make)



release:: all
	rm -rf release
	mkdir -p release
	cp documentation/*.{txt,html} release
	rm release/*.in.html
	cp -r *.bin base*.tgz tecra release/
	mkdir /var/tmp/mnt.$$
	mount -o loop release/resc1440.bin /var/tmp/mnt.$$
	cp /var/tmp/mnt.$$/linux release/
	umount /var/tmp/mnt.$$
	rmdir /var/tmp/mnt.$$
	unix2dos <scripts/dos/install.bat >release/install.bat
	( cd release; unzip $(tools_dir)/rawrite2.zip rawrite2.{exe,txt} )
	( cd release; unzip -p $(tools_dir)/lodlin16.zip \
		LODLIN16/LOADLIN.EXE >loadlin.exe )
	( cd release; md5sum `find . -type f | grep -v md5sum.txt` \
			> md5sum.txt)


stamp-build: build

clean: distclean

install: stamp-build
	mkdir -m 755 -p $(prefix)/usr/src/boot-floppies
	tar cf - `echo * | sed 's:debian::'` \
	 | (cd $(prefix)/usr/src/boot-floppies;tar xf -)

distclean:
	(cd utilities;make distclean)
	(cd documentation;make distclean)
	rm -f *.bin *.tgz sys_map*.gz  linux* modcont* core *~
	rm -rf release tecra updates

tecra::	tecra/resc1440.bin tecra/drv1440.bin

modules.tgz sys_map.gz linux \
modcont: $(packages_with_modules) kernel.sh $(kernel) Makefile
	./kernel.sh "" $(kernel) $(packages_with_modules)

modulestecra.tgz sys_maptecra.gz linuxtecra \
modconttecra: $(packages_with_modules) kernel.sh $(kerneltecra) Makefile
	./kernel.sh tecra $(kerneltecra) $(packages_with_modules)

drv1440.bin: modules.tgz drivers.sh Makefile \
		$(shell find scripts/drivers -type f )
	./drivers.sh "" 1440 modules.tgz 

tecra/drv1440.bin: modulestecra.tgz drivers.sh Makefile \
		$(shell find scripts/drivers -type f )
	./drivers.sh tecra 1440 modulestecra.tgz 
	mkdir -p tecra
	mv -f drv1440tecra.bin tecra/drv1440.bin

drv1200.bin: modules.tgz drivers.sh Makefile \
		$(shell find scripts/drivers -type f )
	./drivers.sh "" 1200 modules.tgz

root.bin:	$(shell find scripts/rootdisk -type f ) \
		$(shell find utilities -type f ) \
		$(shell find $(archive)) \
		rootdisk.sh modcont Makefile
	./rootdisk.sh "" ${ftp_archive} ${archive} 1800 ${debianversion}

lmemroot.bin:	$(shell find scripts/rootdisk -type f ) \
		$(shell find utilities -type f ) \
		$(shell find $(archive)) \
		rootdisk.sh modcont Makefile
	./rootdisk.sh lowmem ${ftp_archive} ${archive} 1200 ${debianversion}
	mv -f rootlowmem.bin lmemroot.bin

resc1440.bin:	linux sys_map.gz rescue.sh Makefile \
		root.bin $(shell find scripts/rescue -type f )
	./rescue.sh "" $(kernel) root.bin 1440 ${debianversion}

tecra/resc1440.bin:	linuxtecra sys_maptecra.gz rescue.sh Makefile \
		root.bin $(shell find scripts/rescue -type f )
	./rescue.sh tecra $(kerneltecra) root.bin 1440 ${debianversion}
	mkdir -p tecra
	mv -f resc1440tecra.bin tecra/resc1440.bin

resc1200.bin:	linux sys_map.gz rescue.sh Makefile \
		$(shell find scripts/rescue -type f )
	./rescue.sh "" ${kernel} root.bin 1200 ${debianversion}

${base_archive}:	basedisks.sh \
			$(shell find scripts/basedisks -type f ) \
			$(shell find ${archive} -type f )
	./basedisks.sh ${archive} ${debianversion}

sign:
	pgp +clearsig=on -fast <release/md5sum.txt >release/md5sum.tmp
	mv release/md5sum.tmp release/md5sum.txt

=== documentation/Makefile ===
all:	install.txt dselect.beginner.8.txt cfdisk.txt

install.html:	install.in.html
	rm -f $@
	sed -e "s/__date__/`date '+%B %d, %Y'`/" <$^ >$@
	chmod a-w $@

install.txt:	install.html
	rm -f $@
	lynx -dump $^ | grep -v "/boot-floppies-"> $@
	chmod a-w $@

dselect.beginner.8.html: dselect.beginner.8.in.html
	rm -f $@
	sed -e '' <$^ >$@
	chmod a-w $@

dselect.beginner.8.txt:	dselect.beginner.8.html
	rm -f $@
	lynx -dump $^ > $@
	chmod a-w $@

cfdisk.txt::
	man cfdisk | col -b >cfdisk.tmp
	if cmp -s cfdisk.tmp $@; then \
			rm -f cfdisk.tmp; \
		else \
			mv -f cfdisk.tmp $@; chmod a-w $@; \
		fi

clean:
	- rm -f *~

distclean: clean
	- rm -f install.txt dselect.beginner.6.txt cfdisk.txt install.html

=== debian/changelog ===
boot-floppies (1.2.21) stable unstable; urgency=low

  * dinstall: support IDE devices up to /dev/hdh (#10558)
  * Makefile, *.sh: consider getting packages from updates/ directory
  * common.sh (new): find package with highest version correctly
  
 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Thu, 5 Jun 1997 21:05:43 +0200

boot-floppies (1.2.20) frozen unstable; urgency=low

  * documentation/install.in.html: minor corrections
  * rootdisk.sh, scripts/rootdisk/EXTRACT_LIST: split into general and
      architecture-specific files; isapnptools only for i386
  * scripts/rootdisk/SMALL_BASE_LIST_i386: use fi-latin1
  * dinstall: create /target/etc/hosts for pcmcia case (#10233)
  * dinstall: copy /dev/cdrom symlink to /target/dev/cdrom
  * dinstall: fixed crash on "not found" in choose_base_archive_dir()
  * dinstall: mkdir /target/etc/pcmcia
  * utilities/busybox/init.c: don't use initrd, shutdown directly
                                     ( cold reboot ? )
  * Makefile: copy setup.bat and loadlin.exe into release/

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Thu, 5 Jun 1997 21:05:43 +0200

boot-floppies (1.2.19) frozen unstable; urgency=low

  * create extra tecra disks
  * documentation/dselect.beginner.8.in.html: merged fixes
  * documentation/install.in.html: clarifications
  * kernel.sh: don't create rescmods.tgz
  * drivers.sh: don't encode revext in type.txt
  * scripts/rescue/debian.txt: centered headline (#9984)
  * scripts/rootdisk/SMALL_BASE_LIST_i386: use de-latin1-nodeadkeys
  * dinstall: use de-latin1-nodeadkeys
              always call modconf with --run-shell cdromsymlink
  * scripts/rootdisk/release_notes: centered headline (#9985)

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Tue, 27 May 1997 23:11:55 +0200

boot-floppies (1.2.18) frozen unstable; urgency=low

  * documentation/{Makefile,install.in.html}: minor changes
  * rootdisk.sh: put getfdprm on lowmem root
  * scripts/rescue/readme.txt: bZimage typo fixed
  * dinstall: made setting Base_Archive_Dir manually work
              don't format boot floppy on lowmem root (superformat is missing)
  * utilities/busybox/init.c: check root device for lowmem install
         unlink("/sbin/swapsetup") didn't work on ro-mounted fs
         added set_free_pages in order to avoid free page problem
         store swap partition choice on harddisk
  * install elvis-tiny (smallest "real" vi) in base system
  * Makefile: remove release/documentation/*.in.html (Bug#9962)
              use modconf_0.2.10.deb and elvis-tiny_1.4-1.deb
  * rescue.sh: fixed DEBIAN_KERNEL_IMAGE sed expression
               VERSION was replaced by KERNEL_VERSION; typos fixed (Bug#9961)
               Copy system.map to the rescue floppy again
  * scripts/rootdisk/new_root_home/.bash_profile: added exit at end
  * utilities/busybox/losetup.c: updated from mount_2.6d, fixes bug
  * scripts/rootdisk/prototype/etc/rc: truncate /etc/mtab

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Tue, 20 May 1997 02:08:24 +0200

boot-floppies (1.2.17) frozen unstable; urgency=low

  * Makefile: use adduser_2.14 (older versions had problems with shadow)
  * dinstall: correct the ownership of /root
  * rescue.sh: fixed determining DEBIAN_KERNEL_IMAGE
  * utilities/busybox/tiny-ls.c: reenable FEATURE_FILETYPECHAR
                                 (used by timezone setup)
  * rootdisk.sh: round number of maintainers to a multiple of 10
  * scripts/rootdisk/new_root_home/setup.sh: call /etc/cron.daily/find
  * dinstall: don't require both kernel and base in same Base_Archive_Dir
  * basedisks.sh: fix location of setup.sh in /etc/init.d/boot

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Fri, 16 May 1997 01:26:36 +0200

boot-floppies (1.2.16) frozen unstable; urgency=low

  * Makefile: use kernel-image-2.0.30_2.0.30-6_i386.deb
  * rootdisk.sh: don't use the busybox losetup
  * dinstall: (mount_and_check_floppy) make /dev/loop0 work
              deny kernel installation from non-floppy for lowmem
              (choose_harddisk) unmount /instmnt before offering
                                unmounted partitions
  * utilities/busybox/init.c: fixed memtotal extraction
  * several text typos and documentation fixed

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Tue, 13 May 1997 02:34:13 +0200

boot-floppies (1.2.15) frozen unstable; urgency=low

  * busybox/zcat.c: skip original file name in gzipped file
  * basedisks.sh: only create 1.2MB base disks
  * documentation/install.html: document this
          document booting from CD ROM
  * Makefile: root filessystem size is now 1800KB
  * basedisks.sh: remove #8286, #8263, and zcat limitation workarounds
  * rescue.sh: display kernel-image version in debian.txt (used by syslinux)
               removed rescmods from reescue disk (space limitation)
  * scripts/basedisks/PACKAGES_i386: add isapnptools
  * scripts/rootdisk/EXTRACT_LIST: add isapnptools
  * scripts/rootdisk/SMALL_BASE_LIST_all: add sbin/isapnp and sbin/pnpdump
  * rootdisk.sh: remove sbin/isapnp and sbin/pnpdump from lowmem root
  * scripts/rootdisk/SMALL_BASE_LIST_all: remove lsmod
  * scripts/rootdisk/prototype/bin/ps: provide lsmod
  * dinstall: move floppy insertion prompt to mount_and_check
              don't use rescmods
  * busybox/init.c: check MemTotal instead of MemFree

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Thu, 8 May 1997 16:27:51 +0200

boot-floppies (1.2.14) frozen unstable; urgency=low

  * scripts/rootdisk/new_root_home/.bash_profile: configure shadow passwords
                                                  remove empty lines in password text
  * Makefile: use unzip to extract rawrite
  * basedisks.sh: use new makedev
                  create empty /etc/init.d/xdm (workaround for #9189
                  re-gzip /usr/lib/syslinux/*.gz (workaround for busybox zcat limitation)
  * documentation/install.html: updated lowmem instructions
  * rootdisk.sh: use new makedev
                 re-gzip keytables (workaround for busybox zcat limitation)


=== debian/control ===
Source: boot-floppies
Section: devel
Priority: optional
Maintainer: Maintainer Group <sr1-boot-floppies@debian.org>
Standards-Version: 2.1.1.0

Package: boot-floppies
Architecture: all
Depends: libc5-pic, ncurses3.0-pic, mkrboot, dosfstools (>>1.0-4), syslinux (>= 1.30), sysutils
Suggests: lynx (>= 2.6)
Description: Scripts to create the Debian installation floppy set.
 This package allows you to create a Debian installation system on floppy
 disk or other media, for bootstrapping Debian onto a new system. Most users
 will simply download the disk images to do this, and this package will
 generally only be used by advanced Debian maintainers.

## boot-floppies 1.2.23

=== Makefile ===
--- 
+++ 
@@ -13,12 +13,18 @@
 
 kernel=$(archive)/base/kernel-image-2.0.29_2.0.29-7.deb
 kerneltecra=$(kernel_dir)/kernel-image-2.0.29_2.0.29-7_tecrai386.deb
+kernelv30=$(archive)/base/kernel-image-2.0.30_2.0.30-7.deb
 kernel_version=$(shell echo $(kernel) | sed -e 's/.*kernel-image-//' | \
 			sed -e 's/_.*//')
-pcmcia_package=$(shell ls $(archive)/admin/pcmcia-modules-$(kernel_version)_*.deb | tail -1)
-pcmcia_package=/home/sr1/debian/Incoming/pcmcia-modules-2.0.29-7_2.9.6-2_i386.deb
+
+# don't include pcmcia modules
+#pcmcia_package=$(shell ls $(archive)/admin/pcmcia-modules-$(kernel_version)-*.deb | tail -1)
+#pcmcia_package=$(shell ls $(ftp_archive)/bo-updates/pcmcia-modules-$(kernel_version)-*.deb | tail -1)
+#pcmcia_package=/home/sr1/debian/Incoming/pcmcia-modules-2.0.29-7_2.9.6-2_i386.deb
+#pcmcia_package_v30=$(shell ls $(ftp_archive)/bo-updates/pcmcia-modules-2.0.30-*.deb | tail -1)
 
 packages_with_modules=$(pcmcia_package)
+packages_with_modules_v30=$(pcmcia_package_v30)
 
 # disable this if you already have these files in the FTP mirror
 localfiles: updates #$(archive)/base/modconf_0.2.12.deb
@@ -27,9 +33,6 @@
 updates::
 	mkdir -p updates
 	cp -av $(ftp_archive)/bo-updates/*.deb \
-		$(incoming)/pcmcia-modules-2.0.29-7_2.9.6-1_i386.deb \
-		$(incoming)/pcmcia-modules-2.0.30-7_2.9.6-1_i386.deb \
-		$(incoming)/REJECT/sysklogd_1.3-16_i386.deb \
 		updates/
 
 # don't edit below this line (but look for XXX)
@@ -44,7 +47,8 @@
 	$(MAKE) resc1440.bin resc1200.bin \
 		drv1440.bin drv1200.bin ${base_archive}
 	$(MAKE) lmemroot.bin
-	$(MAKE) tecra
+	$(MAKE) special_tecra
+	$(MAKE) special_v30
 
 all_subdirs:
 	(cd utilities;make)
@@ -56,8 +60,9 @@
 	rm -rf release
 	mkdir -p release
 	cp documentation/*.{txt,html} release
+	cp base-contents release/basecont.txt
 	rm release/*.in.html
-	cp -r *.bin base*.tgz tecra release/
+	cp -r *.bin base*.tgz special release/
 	mkdir /var/tmp/mnt.$$
 	mount -o loop release/resc1440.bin /var/tmp/mnt.$$
 	cp /var/tmp/mnt.$$/linux release/
@@ -83,10 +88,15 @@
 distclean:
 	(cd utilities;make distclean)
 	(cd documentation;make distclean)
-	rm -f *.bin *.tgz sys_map*.gz  linux* modcont* core *~
-	rm -rf release tecra updates
+	rm -f *.bin *.tgz sys_map*.gz  linux* modcont* core
+	rm -f `find -name \*~`
+	rm -rf release special/*/{*.bin,linux} updates
 
-tecra::	tecra/resc1440.bin tecra/drv1440.bin
+special_tecra::	special/tecra/resc1440.bin special/tecra/drv1440.bin
+	cp linuxtecra special/tecra/linux
+
+special_v30::	special/v30/resc1440.bin special/v30/drv1440.bin
+	cp linuxv30 special/v30/linux
 
 modules.tgz sys_map.gz linux \
 modcont: $(packages_with_modules) kernel.sh $(kernel) Makefile
@@ -96,15 +106,23 @@
 modconttecra: $(packages_with_modules) kernel.sh $(kerneltecra) Makefile
 	./kernel.sh tecra $(kerneltecra) $(packages_with_modules)
 
+modulesv30.tgz sys_mapv30.gz linuxv30 \
+modcontv30: $(packages_with_modules_v30) kernel.sh $(kernelv30) Makefile
+	./kernel.sh v30 $(kernelv30) $(packages_with_modules_v30)
+
 drv1440.bin: modules.tgz drivers.sh Makefile \
 		$(shell find scripts/drivers -type f )
 	./drivers.sh "" 1440 modules.tgz 
 
-tecra/drv1440.bin: modulestecra.tgz drivers.sh Makefile \
+special/tecra/drv1440.bin: modulestecra.tgz drivers.sh Makefile \
 		$(shell find scripts/drivers -type f )
 	./drivers.sh tecra 1440 modulestecra.tgz 
-	mkdir -p tecra
-	mv -f drv1440tecra.bin tecra/drv1440.bin
+	mv -f drv1440tecra.bin special/tecra/drv1440.bin
+
+special/v30/drv1440.bin: modulesv30.tgz drivers.sh Makefile \
+		$(shell find scripts/drivers -type f )
+	./drivers.sh v30 1440 modulesv30.tgz 
+	mv -f drv1440v30.bin special/v30/drv1440.bin
 
 drv1200.bin: modules.tgz drivers.sh Makefile \
 		$(shell find scripts/drivers -type f )
@@ -127,11 +145,15 @@
 		root.bin $(shell find scripts/rescue -type f )
 	./rescue.sh "" $(kernel) root.bin 1440 ${debianversion}
 
-tecra/resc1440.bin:	linuxtecra sys_maptecra.gz rescue.sh Makefile \
+special/tecra/resc1440.bin:	linuxtecra sys_maptecra.gz rescue.sh Makefile \
 		root.bin $(shell find scripts/rescue -type f )
 	./rescue.sh tecra $(kerneltecra) root.bin 1440 ${debianversion}
-	mkdir -p tecra
-	mv -f resc1440tecra.bin tecra/resc1440.bin
+	mv -f resc1440tecra.bin special/tecra/resc1440.bin
+
+special/v30/resc1440.bin:	linuxv30 sys_mapv30.gz rescue.sh Makefile \
+		root.bin $(shell find scripts/rescue -type f )
+	./rescue.sh v30 $(kernelv30) root.bin 1440 ${debianversion}
+	mv -f resc1440v30.bin special/v30/resc1440.bin
 
 resc1200.bin:	linux sys_map.gz rescue.sh Makefile \
 		$(shell find scripts/rescue -type f )

=== utilities/busybox/Makefile ===
# -D_GNU_SOURCE is needed because environ is used in init.c
CFLAGS= -O2 -fomit-frame-pointer -fno-builtin -D_GNU_SOURCE

LDFLAGS= -s
STRIP= strip --remove-section=.note --remove-section=.comment busybox
# CFLAGS= -g -Wall -D_GNU_SOURCE

LIBRARIES=

OBJECTS=  $(patsubst %.c,%.o,$(wildcard *.c))

all: busybox $(LINKS)

busybox: $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o busybox $(OBJECTS) $(LIBRARIES)
	$(STRIP)

clean:
	- rm -f $(OBJECTS) busybox *~

distclean: clean
	- rm -f busybox

=== debian/changelog ===
boot-floppies (1.2.23) stable unstable; urgency=low

  * debian/control: change maintainer name
  * basedisks.sh: don't create /dev/inet (#11599)
		  create `dpkg -l' of base system
  * common.sh: create absolute paths for updates/
  * dinstall: don't unmount /, offer to reboot after fdisk (#10743)
  * create special disk set with 2.0.30 kernel (#10776)
  * special/*/README: descriptions for the special disks
  * documentation/install.in.html: mention special disks (#5953)
				   remove floppy requirement
				   corrected PCMCIA sentences (#10864)
  * Makefile: don't include PCMCIA modules on driver disk

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Fri, 1 Aug 1997 15:38:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: boot-floppies
 Section: devel
 Priority: optional
-Maintainer: Maintainer Group <sr1-boot-floppies@debian.org>
+Maintainer: Sven Rudolph <sr1-boot-floppies@debian.org>
 Standards-Version: 2.1.1.0
 
 Package: boot-floppies
 Architecture: all
-Depends: libc5-pic, ncurses3.0-pic, mkrboot, dosfstools (>>1.0-4), syslinux (>= 1.30), sysutils
+Depends: libc5-pic, ncurses3.0-pic, mkrboot, dosfstools (>>1.0-4), syslinux (>= 1.30), sysutils, makedev (>=1.6-15)
 Suggests: lynx (>= 2.6)
 Description: Scripts to create the Debian installation floppy set.
  This package allows you to create a Debian installation system on floppy

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# Sample debian.rules file - for GNU Hello (1.3).
+# derived from: Sample debian.rules file - for GNU Hello (1.3).
 # Copyright 1994,1995 by Ian Jackson.
 # I hereby give you perpetual unlimited permission to copy,
 # modify and relicense this file, provided that you do not remove
@@ -17,7 +17,7 @@
 
 build:
 	$(checkdir)
-	$(MAKE) CFLAGS=-O2 LDFLAGS= prefix=debian/tmp
+	$(MAKE) all_subdirs prefix=debian/tmp
 	touch build
 
 clean:
@@ -37,15 +37,28 @@
 	-rm -rf debian/tmp
 	install -d debian/tmp debian/tmp/DEBIAN
 	install -d debian/tmp/usr/doc/$(package)
+	$(MAKE)
+	$(MAKE) release
 	$(MAKE) CFLAGS=-O2 LDFLAGS=-s install prefix=debian/tmp
-	cp debian/copyright debian/tmp/usr/doc/$(package)/.
-	dpkg-gencontrol > debian/tmp/DEBIAN/control
+	( cd debian/tmp/usr/src/boot-floppies; make clean)
+	cp debian/changelog debian/tmp/usr/doc/$(package)/
+	gzip -9f debian/tmp/usr/doc/$(package)/changelog
+	cp debian/copyright README debian/tmp/usr/doc/$(package)/.
+	dpkg-gencontrol -pboot-floppies > debian/tmp/DEBIAN/control
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
 	dpkg --build debian/tmp ..
+	-rm -rf debian/tmp
+#	install -d debian/tmp debian/tmp/DEBIAN
+#	install -d debian/tmp/usr/doc/rescue-image
+#	dpkg-gencontrol -prescue-image > debian/tmp/DEBIAN/control
+#	chown -R root.root debian/tmp
+#	chmod -R g-ws debian/tmp
+#	dpkg --build debian/tmp ..
+#	-rm -rf debian/tmp
 
 define checkdir
-	test -f make_disks.sh -a -f debian/rules
+	test -f rootdisk.sh -a -f debian/rules
 endef
 
 # Below here is fairly generic really
